Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.auth.callback
Class GroupCallback

    java.lang.Object
      weblogic.security.auth.callback.GroupCallback

All Implemented Interfaces:
  Callback

    public class GroupCallback

extends Object
implements Callback

Underlying security services instantiate and pass a `GroupCallback` to the `invokeCallback` method of a `CallbackHandler` to retrieve group information.

See Also:
  `CallbackHandler`

Constructor Summary
`GroupCallback(String prompt)` Construct a `GroupCallback` with a prompt.

Method Summary
`String` | `getPrompt()` Get the prompt.
`Collection` | `getValue()` The groups, represented as a collection of strings.
`void` | `setValue(Collection value)` Sets the value of the Value attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupCallback

    public GroupCallback(String prompt)

  Construct a `GroupCallback` with a prompt.

  Parameters:
    `prompt` - The prompt used to request the list of groups

Method Detail

### getPrompt

    public String getPrompt()

  Get the prompt.

  Returns:
    The prompt

### getValue

    public Collection getValue()

  The groups, represented as a collection of strings.

  Returns:
    The collection of strings
  See Also:
    `Collection`

### setValue

    public void setValue(Collection value)

  Sets the value of the Value attribute.

  Parameters:
    `value` - Collection of Strings
  See Also:
    `GroupCallback.getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD